
From: Adrian Bunk <bunk@stusta.de>

This patch makes some needlessly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/cfq-iosched.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/block/cfq-iosched.c~cfq-ioschedc-make-some-code-static drivers/block/cfq-iosched.c
--- 25/drivers/block/cfq-iosched.c~cfq-ioschedc-make-some-code-static	Fri Feb 11 16:08:46 2005
+++ 25-akpm/drivers/block/cfq-iosched.c	Fri Feb 11 16:08:46 2005
@@ -1790,7 +1790,7 @@ static struct sysfs_ops cfq_sysfs_ops = 
 	.store	= cfq_attr_store,
 };
 
-struct kobj_type cfq_ktype = {
+static struct kobj_type cfq_ktype = {
 	.sysfs_ops	= &cfq_sysfs_ops,
 	.default_attrs	= default_attrs,
 };
@@ -1819,7 +1819,7 @@ static struct elevator_type iosched_cfq 
 	.elevator_owner =	THIS_MODULE,
 };
 
-int cfq_init(void)
+static int cfq_init(void)
 {
 	int ret;
 
_
